/doppler-admin | Type: Application | PCID required: Yes
Tools
doppler_admin_activity_logs_list
List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number |
per_page | integer | No | — | Items per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number"
},
"per_page": {
"type": "integer",
"description": "Items per page"
}
},
"required": [
"PCID"
]
}
doppler_admin_activity_logs_retrieve
Retrieve Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
log | string | Yes | — | Unique identifier for the log object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"log": {
"type": "string",
"description": "Unique identifier for the log object."
}
},
"required": [
"PCID",
"log"
]
}
doppler_admin_auth_me
MeShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
doppler_admin_auth_oidc
OIDC (Service Account Identity) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
identity | string | Yes | — | Identity ID from the Doppler Dashboard |
token | string | Yes | — | the OIDC token string from your OIDC provider (likely CI) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"identity": {
"type": "string",
"description": "Identity ID from the Doppler Dashboard"
},
"token": {
"type": "string",
"description": "the OIDC token string from your OIDC provider (likely CI)"
}
},
"required": [
"PCID",
"identity",
"token"
]
}
doppler_admin_auth_revoke
Revoke Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
token | string | Yes | — | The token value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"token": {
"type": "string",
"description": "The token value"
}
},
"required": [
"PCID",
"token"
]
}
doppler_admin_change_request_policies_create
Create Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | An optional description of the policy. |
name | string | Yes | — | The name of the policy. |
rules | object[] | Yes | — | A list of rules the policy enforces. |
targets | object | Yes | — | Describes the which projects, environments, and configs the policy applies to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "An optional description of the policy."
},
"name": {
"type": "string",
"description": "The name of the policy."
},
"rules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"\"RequiredReviewer\"",
"\"DisallowSelfReview\""
],
"description": "The type value"
},
"count": {
"type": "integer",
"format": "int32",
"description": "The number of required reviewers. Only applies to \"RequiredReviewer\" rules."
},
"subjects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "The type of the subject."
},
"slug": {
"type": "string",
"description": "The unique identifier of the subject."
}
}
},
"description": "A list of required reviewers. If specified, only reviews from reviewers in this list will satisfy the policy. Only applies to \"RequiredReviewer\" rules."
}
},
"required": [
"type"
]
},
"description": "A list of rules the policy enforces."
},
"targets": {
"type": "object",
"description": "Describes the which projects, environments, and configs the policy applies to.",
"properties": {
"allProjects": {
"type": "boolean",
"description": "If true, the policy will apply to every config in the workplace."
},
"projects": {
"type": "object",
"description": "A dictionary where the key is the project name, and the value contains information about what within the project the policy should apply to."
}
}
}
},
"required": [
"PCID",
"name",
"rules",
"targets"
]
}
doppler_admin_change_request_policies_delete
Delete Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | The unique identifier of the policy. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "The unique identifier of the policy."
}
},
"required": [
"PCID",
"slug"
]
}
doppler_admin_change_request_policies_get
Retrieve Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | Unique id of the policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "Unique id of the policy"
}
},
"required": [
"PCID",
"slug"
]
}
doppler_admin_change_request_policies_list
ListShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
doppler_admin_change_request_policies_update
Update Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | The unique identifier of the policy. |
description | string | No | — | An optional description of the policy. |
name | string | Yes | — | The name of the policy. |
rules | object[] | Yes | — | A list of rules the policy enforces. |
targets | object | Yes | — | Describes the which projects, environments, and configs the policy applies to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "The unique identifier of the policy."
},
"description": {
"type": "string",
"description": "An optional description of the policy."
},
"name": {
"type": "string",
"description": "The name of the policy."
},
"rules": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"\"RequiredReviewer\"",
"\"DisallowSelfReview\""
],
"description": "The type value"
},
"count": {
"type": "integer",
"format": "int32",
"description": "The number of required reviewers. Only applies to \"RequiredReviewer\" rules."
},
"subjects": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "The type of the subject."
},
"slug": {
"type": "string",
"description": "The unique identifier of the subject."
}
}
},
"description": "A list of required reviewers. If specified, only reviews from reviewers in this list will satisfy the policy. Only applies to \"RequiredReviewer\" rules."
}
},
"required": [
"type"
]
},
"description": "A list of rules the policy enforces."
},
"targets": {
"type": "object",
"description": "Describes the which projects, environments, and configs the policy applies to.",
"properties": {
"allProjects": {
"type": "boolean",
"description": "If true, the policy will apply to every config in the workplace."
},
"projects": {
"type": "object",
"description": "A dictionary where the key is the project name, and the value contains information about what within the project the policy should apply to."
}
}
}
},
"required": [
"PCID",
"slug",
"name",
"rules",
"targets"
]
}
doppler_admin_delete_v3workplacechange_requestschange_request_change_request_id_unitsunit_unit_id_review
DELETE /v3/workplace/change_requests/change_request/{change_request_id}/units/unit/{unit_id}/review Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
unit_id | string | Yes | — | Unit Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"unit_id": {
"type": "string",
"description": "Unit Id"
}
},
"required": [
"PCID",
"change_request_id",
"unit_id"
]
}
doppler_admin_get_options
Get Options Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integration | string | Yes | — | The integration slug |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integration": {
"type": "string",
"description": "The integration slug"
}
},
"required": [
"PCID",
"integration"
]
}
doppler_admin_get_v3workplacechange_requests
GET /v3/workplace/change_requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number for pagination |
per_page | integer | No | — | Number of results per page |
status | string[] | No | — | The status value |
title | string | No | — | The title value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"per_page": {
"type": "integer",
"description": "Number of results per page"
},
"status": {
"type": "array",
"items": {
"type": "string"
},
"description": "The status value"
},
"title": {
"type": "string",
"description": "The title value"
}
},
"required": [
"PCID"
]
}
doppler_admin_get_v3workplacechange_requestschange_request_change_request_id
GET /v3/workplace/change_requests/change_request/{change_request_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
reveal | string | No | — | Whether to reveal secret values. If defined, any value except “false” is treated as true |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"reveal": {
"type": "string",
"description": "Whether to reveal secret values. If defined, any value except \"false\" is treated as true"
}
},
"required": [
"PCID",
"change_request_id"
]
}
doppler_admin_get_v3workplacechange_requestschange_request_change_request_id_unitsunit_unit_id
GET /v3/workplace/change_requests/change_request/{change_request_id}/units/unit/{unit_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
reveal | string | No | — | Whether to reveal secret values. If defined, any value except “false” is treated as true |
change_request_id | string | Yes | — | Change Request Id |
unit_id | string | Yes | — | Unit Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"reveal": {
"type": "string",
"description": "Whether to reveal secret values. If defined, any value except \"false\" is treated as true"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"unit_id": {
"type": "string",
"description": "Unit Id"
}
},
"required": [
"PCID",
"change_request_id",
"unit_id"
]
}
doppler_admin_integrations_create
Create Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | object | No | — | The authentication data for the integration |
name | string | Yes | — | The name of the integration |
type | string | Yes | — | The integration type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "object",
"description": "The authentication data for the integration"
},
"name": {
"type": "string",
"description": "The name of the integration"
},
"type": {
"type": "string",
"description": "The integration type"
}
},
"required": [
"PCID",
"name",
"type"
]
}
doppler_admin_integrations_delete
Delete Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integration | string | Yes | — | The slug of the integration to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integration": {
"type": "string",
"description": "The slug of the integration to delete"
}
},
"required": [
"PCID",
"integration"
]
}
doppler_admin_integrations_get
Retrieve Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integration | string | Yes | — | The integration slug |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integration": {
"type": "string",
"description": "The integration slug"
}
},
"required": [
"PCID",
"integration"
]
}
doppler_admin_integrations_list
ListShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
doppler_admin_integrations_update
Update Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
integration | string | Yes | — | The slug of the integration to update |
data | object | No | — | The new authentication data for the integration |
name | string | No | — | The new name of the integration |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"integration": {
"type": "string",
"description": "The slug of the integration to update"
},
"data": {
"type": "object",
"description": "The new authentication data for the integration"
},
"name": {
"type": "string",
"description": "The new name of the integration"
}
},
"required": [
"PCID",
"integration"
]
}
doppler_admin_post_v3workplacechange_requests
POST /v3/workplace/change_requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assigned | object[] | Yes | — | The assigned value |
description | string | No | — | The description value |
title | string | Yes | — | The title value |
units | object[] | Yes | — | The units value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assigned": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"WorkplaceUser",
"ServiceAccount"
],
"description": "The type value"
},
"slug": {
"type": "string",
"description": "The slug value"
}
},
"required": [
"type",
"slug"
]
},
"description": "The assigned value"
},
"description": {
"type": "string",
"description": "The description value"
},
"title": {
"type": "string",
"description": "The title value"
},
"units": {
"type": "array",
"items": {
"type": "object",
"properties": {
"action": {
"type": "string",
"enum": [
"create"
],
"description": "The action value"
},
"id": {
"type": "string",
"description": "The id value"
},
"target": {
"type": "object",
"description": "The target value"
},
"status": {
"type": "string",
"enum": [
"draft",
"open"
],
"description": "The status value"
},
"updates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"shouldDelete": {
"type": "boolean",
"description": "Whether to delete the secret from target config when applied"
},
"visType": {
"type": "integer",
"description": "0 = masked, 1 = unmasked, 2 = restricted"
},
"valueType": {
"type": "object"
},
"generationSettings": {
"type": "object"
},
"originalSecretUpdateName": {
"type": "string"
}
}
},
"description": "The updates value"
}
},
"required": [
"action",
"target",
"updates"
]
},
"description": "The units value"
}
},
"required": [
"PCID",
"assigned",
"title",
"units"
]
}
doppler_admin_post_v3workplacechange_requestschange_request_change_request_id
POST /v3/workplace/change_requests/change_request/{change_request_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
assigned | object[] | No | — | The assigned value |
description | string | No | — | The description value |
title | string | No | — | The title value |
units | object[] | No | — | The units value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"assigned": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"WorkplaceUser",
"ServiceAccount"
],
"description": "The type value"
},
"slug": {
"type": "string",
"description": "The slug value"
}
},
"required": [
"slug",
"type"
]
},
"description": "The assigned value"
},
"description": {
"type": "string",
"description": "The description value"
},
"title": {
"type": "string",
"description": "The title value"
},
"units": {
"type": "array",
"items": {
"type": "object",
"properties": {
"action": {
"type": "string",
"enum": [
"create",
"update"
],
"description": "The action value"
},
"id": {
"type": "string",
"description": "The id value"
},
"status": {
"type": "string",
"enum": [
"draft",
"open"
],
"description": "The status value"
},
"updates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"action": {
"type": "string"
},
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"shouldDelete": {
"type": "boolean",
"description": "Whether to delete the secret from target config when applied"
},
"visType": {
"type": "integer",
"description": "0 = masked, 1 = unmasked, 2 = restricted"
},
"valueType": {
"type": "object"
},
"generationSettings": {
"type": "object"
},
"originalSecretUpdateName": {
"type": "string"
}
}
},
"description": "The updates value"
}
},
"required": [
"action",
"updates"
]
},
"description": "The units value"
}
},
"required": [
"PCID",
"change_request_id"
]
}
doppler_admin_post_v3workplacechange_requestschange_request_change_request_id_close
POST /v3/workplace/change_requests/change_request/{change_request_id}/close Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
}
},
"required": [
"PCID",
"change_request_id"
]
}
doppler_admin_post_v3workplacechange_requestschange_request_change_request_id_unitsunit_unit_id_apply
POST /v3/workplace/change_requests/change_request/{change_request_id}/units/unit/{unit_id}/apply Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
unit_id | string | Yes | — | Unit Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"unit_id": {
"type": "string",
"description": "Unit Id"
}
},
"required": [
"PCID",
"change_request_id",
"unit_id"
]
}
doppler_admin_post_v3workplacechange_requestschange_request_change_request_id_unitsunit_unit_id_review
POST /v3/workplace/change_requests/change_request/{change_request_id}/units/unit/{unit_id}/review Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
unit_id | string | Yes | — | Unit Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"unit_id": {
"type": "string",
"description": "Unit Id"
}
},
"required": [
"PCID",
"change_request_id",
"unit_id"
]
}
doppler_admin_put_v3workplacechange_requestschange_request_change_request_id_assignees
PUT /v3/workplace/change_requests/change_request/{change_request_id}/assignees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
assigned | object[] | Yes | — | The assigned value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"assigned": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"WorkplaceUser",
"ServiceAccount"
],
"description": "The type value"
},
"slug": {
"type": "string",
"description": "The slug value"
}
},
"required": [
"type",
"slug"
]
},
"description": "The assigned value"
}
},
"required": [
"PCID",
"change_request_id",
"assigned"
]
}
doppler_admin_put_v3workplacechange_requestschange_request_change_request_id_unitsunit_unit_id_status
PUT /v3/workplace/change_requests/change_request/{change_request_id}/units/unit/{unit_id}/status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
change_request_id | string | Yes | — | Change Request Id |
unit_id | string | Yes | — | Unit Id |
status | string | Yes | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"change_request_id": {
"type": "string",
"description": "Change Request Id"
},
"unit_id": {
"type": "string",
"description": "Unit Id"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"draft",
"open",
"canceled"
]
}
},
"required": [
"PCID",
"change_request_id",
"unit_id",
"status"
]
}
doppler_admin_webhooks_add
Add Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | No | — | The project’s name |
authentication | object | No | — | The authentication value |
enableConfigs | string[] | No | — | Config slugs that the webhook should be enabled for |
name | string | No | — | The name of the webhook. |
payload | string | No | — | See: https://docs.doppler.com/docs/webhooks#default-payload |
secret | string | No | — | See: https://docs.doppler.com/docs/webhooks#verify-webhook-with-request-signing |
url | string | Yes | — | The webhook URL. Must be https |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project's name"
},
"authentication": {
"type": "object",
"description": "The authentication value",
"properties": {
"type": {
"type": "string",
"description": "The type value",
"enum": [
"None",
"Bearer",
"Basic"
]
},
"token": {
"type": "string",
"description": "Used when type = Bearer"
},
"username": {
"type": "string",
"description": "Used when type = Basic"
},
"password": {
"type": "string",
"description": "Used when type = Basic"
}
}
},
"enableConfigs": {
"type": "array",
"items": {
"type": "string"
},
"description": "Config slugs that the webhook should be enabled for"
},
"name": {
"type": "string",
"description": "The name of the webhook."
},
"payload": {
"type": "string",
"description": "See: https://docs.doppler.com/docs/webhooks#default-payload"
},
"secret": {
"type": "string",
"description": "See: https://docs.doppler.com/docs/webhooks#verify-webhook-with-request-signing"
},
"url": {
"type": "string",
"description": "The webhook URL. Must be https"
}
},
"required": [
"PCID",
"url"
]
}
doppler_admin_webhooks_delete
Delete Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | No | — | The project’s name |
slug | string | Yes | — | Webhook’s slug |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project's name"
},
"slug": {
"type": "string",
"description": "Webhook's slug"
}
},
"required": [
"PCID",
"slug"
]
}
doppler_admin_webhooks_disable
Disable Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | No | — | The project’s name |
slug | string | Yes | — | Webhook’s slug |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project's name"
},
"slug": {
"type": "string",
"description": "Webhook's slug"
}
},
"required": [
"PCID",
"slug"
]
}
doppler_admin_webhooks_enable
Enable Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | No | — | The project’s name |
slug | string | Yes | — | Webhook’s slug |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project's name"
},
"slug": {
"type": "string",
"description": "Webhook's slug"
}
},
"required": [
"PCID",
"slug"
]
}
doppler_admin_webhooks_get
Retrieve Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
slug | string | Yes | — | Webhook’s slug |
project | string | No | — | The project’s name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"slug": {
"type": "string",
"description": "Webhook's slug"
},
"project": {
"type": "string",
"description": "The project's name"
}
},
"required": [
"PCID",
"slug"
]
}
doppler_admin_webhooks_list
List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | No | — | The project’s name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project's name"
}
},
"required": [
"PCID"
]
}
doppler_admin_webhooks_update
Update Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
project | string | No | — | The project’s name |
slug | string | Yes | — | Webhook’s slug |
authentication | object | No | — | The authentication value |
disableConfigs | string[] | No | — | Config slugs that the webhook should be disabled for |
enableConfigs | string[] | No | — | Config slugs that the webhook should be enabled for |
name | string | No | — | Name of the webhook. |
payload | string | No | — | See: https://docs.doppler.com/docs/webhooks#default-payload |
secret | string | No | — | See: https://docs.doppler.com/docs/webhooks#verify-webhook-with-request-signing |
url | string | No | — | The webhook URL. Must be https |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"project": {
"type": "string",
"description": "The project's name"
},
"slug": {
"type": "string",
"description": "Webhook's slug"
},
"authentication": {
"type": "object",
"description": "The authentication value",
"properties": {
"type": {
"type": "string",
"description": "The type value",
"enum": [
"None",
"Bearer",
"Basic"
]
},
"token": {
"type": "string",
"description": "Used when type = Bearer"
},
"username": {
"type": "string",
"description": "Used when type = Basic"
},
"password": {
"type": "string",
"description": "Used when type = Basic"
}
}
},
"disableConfigs": {
"type": "array",
"items": {
"type": "string"
},
"description": "Config slugs that the webhook should be disabled for"
},
"enableConfigs": {
"type": "array",
"items": {
"type": "string"
},
"description": "Config slugs that the webhook should be enabled for"
},
"name": {
"type": "string",
"description": "Name of the webhook."
},
"payload": {
"type": "string",
"description": "See: https://docs.doppler.com/docs/webhooks#default-payload"
},
"secret": {
"type": "string",
"description": "See: https://docs.doppler.com/docs/webhooks#verify-webhook-with-request-signing"
},
"url": {
"type": "string",
"description": "The webhook URL. Must be https"
}
},
"required": [
"PCID",
"slug"
]
}

